/*
 * Definitions related to HSI/S use of point-to-point protocol.
 * $Header: ppp.h,v 1.10 91/11/26 23:08:38 clynn Rel $
 *
 * Copyright (c) 1990 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Lawrence Berkeley Laboratory,
 * Berkeley, CA.  The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#define PPP_HDRSPACE 4	/* space needed for PPP headers in HDLC data frames */

#define PPP_ADDRESS (0xff)	/* standard HDLC destination address */
#define PPP_CONTROL (0x03)	/* frame type/control (UI frame) */

#define PPP_INET_PROTO (0x0021)
#define PPP_STII_PROTO (0x0033)
#define PPP_SCMP_PROTO (0x8033)

/*
 * Definitions of frame types (defined so we can check the entire
 * header as a single 32-bit integer).
 */
#define PPP_HDR(p) ((PPP_ADDRESS << 24) | (PPP_CONTROL << 16) | (p))

#define PPP_INET	PPP_HDR(PPP_INET_PROTO)
#define PPP_STII	PPP_HDR(PPP_STII_PROTO)
#define PPP_SCMP	PPP_HDR(PPP_SCMP_PROTO)
